org.apache.tinkerpop.gremlin.process.traversal.traverser.util

## Class LabelledCounter

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.traverser.util.LabelledCounter

- All Implemented Interfaces:
    Serializable, Cloneable

      public class LabelledCounter
      extends Object
      implements Serializable, Cloneable

  Class to track a count associated with a Label
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LabelledCounter()`
    `` | `LabelledCounter(String label, short initialCount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `int` | `count()`
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `boolean` | `hasLabel(String label)`
    `void` | `increment()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LabelledCounter

          protected LabelledCounter()

    - #### LabelledCounter

          public LabelledCounter(String label,
                                 short initialCount)

  - ### Method Detail

    - #### hasLabel

          public boolean hasLabel(String label)

    - #### count

          public int count()

    - #### increment

          public void increment()

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.